module Cfh
  # Kisisel bilgilerin tutuldugu sinif
  class Person
    attr_accessor :no, :surname, :name, :date

    def initialize(args = {})
      @no = args[:no]
      @surname = args[:surname]
      @name = args[:name]
      @date = args[:date]
    end

    def hash
      {
        NO: @no,
        SURNAME: @surname,
        NAME: @name,
        DATE: @date
      }
    end

    def json
      JSON.pretty_generate(hash)
    end
  end
end
